Bug 169408 - devel/drpython: Update to version 3.11.3
Summary: devel/drpython: Update to version 3.11.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Armin Pirkovitsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 19:10 UTC by tkato432
Modified: 2012-07-22 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.37 KB, patch)
2012-06-25 19:10 UTC, tkato432
no flags Details | Diff
devel_drpython.diff (3.54 KB, patch)
2012-07-20 09:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-06-25 19:10:08 UTC
- Update to version 3.11.3
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 19:10:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Armin Pirkovitsch freebsd_committer 2012-07-17 08:57:14 UTC
Responsible Changed
From-To: miwi->sperber

miwi asked me to take it.
Comment 3 Armin Pirkovitsch freebsd_committer 2012-07-19 18:54:52 UTC
State Changed
From-To: open->feedback

please have another look at it - tests indicate that it does not build: 

http://tb.frozen-zone.org/index.php?action=describe_port&id=739
Comment 4 tkato432 2012-07-20 09:56:36 UTC
Here is the corrected patch.
Comment 5 dfilter service freebsd_committer 2012-07-22 20:24:07 UTC
Author: sperber
Date: Sun Jul 22 19:23:59 2012
New Revision: 301344
URL: http://svn.freebsd.org/changeset/ports/301344

Log:
  - Update to version 3.11.3
  - Add LICENSE
  
  PR:           ports/169408
  Submitted by: KATO Tsuguru <tkato432 _at_ yahoo.com>
  Approved by:  beat (mentor)

Modified:
  head/devel/drpython/Makefile   (contents, props changed)
  head/devel/drpython/distinfo   (contents, props changed)
  head/devel/drpython/pkg-plist   (contents, props changed)

Modified: head/devel/drpython/Makefile
==============================================================================
--- head/devel/drpython/Makefile	Sun Jul 22 19:22:58 2012	(r301343)
+++ head/devel/drpython/Makefile	Sun Jul 22 19:23:59 2012	(r301344)
@@ -6,23 +6,25 @@
 #
 
 PORTNAME=	drpython
-PORTVERSION=	3.11.1
-PORTREVISION=	3
+PORTVERSION=	3.11.3
 CATEGORIES=	devel python
-MASTER_SITES=	SF/${PORTNAME}/DrPython%20Current/${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/DrPython%20%283.x%29/${PORTVERSION}
 PKGNAMESUFFIX=	${PYTHON_PKGNAMESUFFIX}
+DISTNAME=	DrPython_${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Highly customizable cross-platform ide to aid programming in Python
 
-WRKSRC=		${WRKDIR}/${PORTNAME}_${PORTVERSION}
+LICENSE=	GPLv2
+
+WRKSRC=		${WRKDIR}/DrPython
 
 USE_ZIP=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	DrPython
 USE_WX=		2.6+
-WX_COMPS=	python
+WX_COMPS=	python:lib
 
 post-install:
 	@${ECHO_CMD} '#!/bin/sh' > ${WRKDIR}/drpython.sh

Modified: head/devel/drpython/distinfo
==============================================================================
--- head/devel/drpython/distinfo	Sun Jul 22 19:22:58 2012	(r301343)
+++ head/devel/drpython/distinfo	Sun Jul 22 19:23:59 2012	(r301344)
@@ -1,2 +1,2 @@
-SHA256 (drpython-3.11.1.zip) = 7888788b7a13032b30e3c84724d39520b49ef2e04dea57670eaa75c0002ebd24
-SIZE (drpython-3.11.1.zip) = 621714
+SHA256 (DrPython_3.11.3.zip) = 62672a0a25a60f8efa976b2329108e129c7b1977b1e4975b46607dd61cf80f48
+SIZE (DrPython_3.11.3.zip) = 636799

Modified: head/devel/drpython/pkg-plist
==============================================================================
--- head/devel/drpython/pkg-plist	Sun Jul 22 19:22:58 2012	(r301343)
+++ head/devel/drpython/pkg-plist	Sun Jul 22 19:23:59 2012	(r301344)
@@ -226,6 +226,9 @@ bin/drpython
 %%PYTHON_SITELIBDIR%%/drpython/drFileDialogPrefs.py
 %%PYTHON_SITELIBDIR%%/drpython/drFileDialogPrefs.pyc
 %%PYTHON_SITELIBDIR%%/drpython/drFileDialogPrefs.pyo
+%%PYTHON_SITELIBDIR%%/drpython/drFileHistory.py
+%%PYTHON_SITELIBDIR%%/drpython/drFileHistory.pyc
+%%PYTHON_SITELIBDIR%%/drpython/drFileHistory.pyo
 %%PYTHON_SITELIBDIR%%/drpython/drFindReplaceDialog.py
 %%PYTHON_SITELIBDIR%%/drpython/drFindReplaceDialog.pyc
 %%PYTHON_SITELIBDIR%%/drpython/drFindReplaceDialog.pyo
@@ -241,6 +244,9 @@ bin/drpython
 %%PYTHON_SITELIBDIR%%/drpython/drKeywords.py
 %%PYTHON_SITELIBDIR%%/drpython/drKeywords.pyc
 %%PYTHON_SITELIBDIR%%/drpython/drKeywords.pyo
+%%PYTHON_SITELIBDIR%%/drpython/drListBox.py
+%%PYTHON_SITELIBDIR%%/drpython/drListBox.pyc
+%%PYTHON_SITELIBDIR%%/drpython/drListBox.pyo
 %%PYTHON_SITELIBDIR%%/drpython/drMenu.py
 %%PYTHON_SITELIBDIR%%/drpython/drMenu.pyc
 %%PYTHON_SITELIBDIR%%/drpython/drMenu.pyo
@@ -289,6 +295,9 @@ bin/drpython
 %%PYTHON_SITELIBDIR%%/drpython/drSTC.py
 %%PYTHON_SITELIBDIR%%/drpython/drSTC.pyc
 %%PYTHON_SITELIBDIR%%/drpython/drSTC.pyo
+%%PYTHON_SITELIBDIR%%/drpython/drSaveRootFile.py
+%%PYTHON_SITELIBDIR%%/drpython/drSaveRootFile.pyc
+%%PYTHON_SITELIBDIR%%/drpython/drSaveRootFile.pyo
 %%PYTHON_SITELIBDIR%%/drpython/drScriptDialog.py
 %%PYTHON_SITELIBDIR%%/drpython/drScriptDialog.pyc
 %%PYTHON_SITELIBDIR%%/drpython/drScriptDialog.pyo
@@ -361,8 +370,6 @@ bin/drpython
 %%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/RunInTerminal.pyc
 %%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/RunInTerminal.pyo
 %%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/SetTerminalArgs.py
-%%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/SetTerminalArgs.pyc
-%%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/SetTerminalArgs.pyo
 %%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/SwitcherooInSelection.py
 %%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/SwitcherooInSelection.pyc
 %%PYTHON_SITELIBDIR%%/drpython/examples/DrScript/SwitcherooInSelection.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Armin Pirkovitsch freebsd_committer 2012-07-22 20:24:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!